Skip to main content
POST
/
api
/
v2
/
external
/
execution
/
gpu_selection
/
start
Start Gpu Selection
curl --request POST \
  --url https://api.lyceum.technology/api/v2/external/execution/gpu_selection/start \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "code": "<string>",
  "nbcode": 0,
  "timeout": 60,
  "requirements_content": "<string>",
  "prior_imports": [
    "<string>"
  ],
  "kernel_state": "<string>",
  "import_files": "<string>",
  "file_name": "<string>"
}
'
{
  "execution_id": "<string>",
  "status": "<string>",
  "message": "<string>"
}

Authorizations

Authorization
string
header
required

Pass an API key (prefixed lk_) or a JWT access token as a bearer token. Generate API keys in the dashboard at https://dashboard.lyceum.technology/api-keys.

Body

application/json

Request model for GPU selection execution.

code
string
required
nbcode
integer
default:0
timeout
integer
default:60
Required range: 1 <= x <= 600
requirements_content
string | null
prior_imports
string[] | null
kernel_state
string | null
import_files
string | null
file_name
string | null

Response

Successful Response

Response model for GPU selection start.

execution_id
string
required
status
string
required
message
string
required